QGIS Application - Bug report #3709
Spatialite editing not working
2011-04-07 08:55 AM - ulmi -

Status: Closed

Priority: Low

Assignee: Sandro Furieri

Category: Digitising

Affected QGIS version: Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 13768
Description

Spatialite editing not working on qgis trunk, just for lines and polygons.

Not saving new features or editing old, crashes after a second and third try.

Point features work though!!

History

#1 - 2011-04-15 08:42 AM - Paolo Cavallini
In Debian testing apparently it works well. Anyone confirms, on Windows or other platforms? Does this happen with just one db, or all? Can you share one

of your db who is causing the crash?

#2 - 2011-04-16 05:40 AM - Maxim Dubinin
- Resolution set to worksforme

- Status changed from Open to Closed

worksforme on polygonal layer in [[WinXP]], commit:f42443c9 (SVN r15701)

#3 - 2011-04-19 02:45 AM - ulmi -

- Resolution deleted (worksforme)

- Status changed from Closed to Feedback

For me it just works on point layers.

Neither new features or editing works on polygons and line layers, causes crash and exit. [[WinXp]] with 1.7 commit:fbd10b55 (SVN r15741).

Everything works on 1.6

Sample DB > [http://dl.dropbox.com/u/378544/ZIF.7z]

#4 - 2011-04-19 03:04 AM - dr -

Confirm crash in Windows 7, commit:fbd10b55 (SVN r15741).
http://dl.dropbox.com/u/378544/ZIF.7z

#5 - 2011-04-23 01:25 AM - Marco Hugentobler
- Status changed from Feedback to Open

#6 - 2011-04-23 09:38 AM - Sandro Furieri

- Status changed from Open to Closed

- Resolution set to fixed

fixed on commit:171bed79 (SVN r15815)

not at all specific to Windows: this bug actually affected any platform.

Shortly said: there was an uncorrect size calculation for 3D Geometries causing a

memory overflow condition (and consequently, a fatal crash).

BTW while investigating on this, | discovered (and resolved) a further bug related
to 3D Mulipolygons editing on [[QgsGeometry]].moveVertex()
